import {
  __decorateClass,
  e,
  e2,
  i,
  s,
  y
} from "./chunk.FMUK5F65.js";

// src/artistic/triangle-left.ts
var ArtisticTriangleLeft = class extends s {
  constructor() {
    super(...arguments);
    this.heightTop = "5rem";
    this.heightBottom = "5rem";
    this.width = "10rem";
    this.color = "#f0f";
  }
  render() {
    const style = `
      border-top: ${this.heightTop} solid transparent;
      border-right: ${this.width} solid ${this.color};
      border-bottom: ${this.heightBottom} solid transparent;
    `;
    return y`<div style="${style}">
      <slot></slot>
    </div>`;
  }
};
ArtisticTriangleLeft.styles = i`
    div {
      width: 0;
      height: 0;
    }
  `;
__decorateClass([
  e2()
], ArtisticTriangleLeft.prototype, "heightTop", 2);
__decorateClass([
  e2()
], ArtisticTriangleLeft.prototype, "heightBottom", 2);
__decorateClass([
  e2()
], ArtisticTriangleLeft.prototype, "width", 2);
__decorateClass([
  e2()
], ArtisticTriangleLeft.prototype, "color", 2);
ArtisticTriangleLeft = __decorateClass([
  e("artistic-triangle-left")
], ArtisticTriangleLeft);

export {
  ArtisticTriangleLeft
};
