var __decorate = (this && this.__decorate) || function (decorators, target, key, desc) {
    var c = arguments.length, r = c < 3 ? target : desc === null ? desc = Object.getOwnPropertyDescriptor(target, key) : desc, d;
    if (typeof Reflect === "object" && typeof Reflect.decorate === "function") r = Reflect.decorate(decorators, target, key, desc);
    else for (var i = decorators.length - 1; i >= 0; i--) if (d = decorators[i]) r = (c < 3 ? d(r) : c > 3 ? d(target, key, r) : d(target, key)) || r;
    return c > 3 && r && Object.defineProperty(target, key, r), r;
};
import { html, css, LitElement } from 'lit';
import { customElement, property } from 'lit/decorators.js';
let ArtisticTriangleLeft = class ArtisticTriangleLeft extends LitElement {
    constructor() {
        super(...arguments);
        this.heightTop = '5rem';
        this.heightBottom = '5rem';
        this.width = '10rem';
        this.color = '#f0f';
    }
    render() {
        const style = `
      border-top: ${this.heightTop} solid transparent;
      border-right: ${this.width} solid ${this.color};
      border-bottom: ${this.heightBottom} solid transparent;
    `;
        return html `<div style="${style}">
      <slot></slot>
    </div>`;
    }
};
ArtisticTriangleLeft.styles = css `
    div {
      width: 0;
      height: 0;
    }
  `;
__decorate([
    property()
], ArtisticTriangleLeft.prototype, "heightTop", void 0);
__decorate([
    property()
], ArtisticTriangleLeft.prototype, "heightBottom", void 0);
__decorate([
    property()
], ArtisticTriangleLeft.prototype, "width", void 0);
__decorate([
    property()
], ArtisticTriangleLeft.prototype, "color", void 0);
ArtisticTriangleLeft = __decorate([
    customElement('artistic-triangle-left')
], ArtisticTriangleLeft);
export { ArtisticTriangleLeft };
