import {
  __decorateClass,
  e,
  e2,
  i,
  s,
  y
} from "./chunk.FMUK5F65.js";

// src/artistic/triangle-up.ts
var ArtisticTriangleUp = class extends s {
  constructor() {
    super(...arguments);
    this.widthLeft = "5rem";
    this.widthRight = "5rem";
    this.height = "10rem";
    this.color = "#f0f";
  }
  render() {
    const style = `
      border-left: ${this.widthLeft} solid transparent;
      border-right: ${this.widthRight} solid transparent;
      border-bottom: ${this.height} solid ${this.color};
    `;
    return y`<div style="${style}">
      <slot></slot>
    </div>`;
  }
};
ArtisticTriangleUp.styles = i`
    div {
      width: 0;
      height: 0;
    }
  `;
__decorateClass([
  e2()
], ArtisticTriangleUp.prototype, "widthLeft", 2);
__decorateClass([
  e2()
], ArtisticTriangleUp.prototype, "widthRight", 2);
__decorateClass([
  e2()
], ArtisticTriangleUp.prototype, "height", 2);
__decorateClass([
  e2()
], ArtisticTriangleUp.prototype, "color", 2);
ArtisticTriangleUp = __decorateClass([
  e("artistic-triangle-up")
], ArtisticTriangleUp);

export {
  ArtisticTriangleUp
};
