import {
  __decorateClass,
  e,
  e2,
  i,
  s,
  y
} from "./chunk.FMUK5F65.js";

// src/artistic/circular.ts
var ArtisticCircular = class extends s {
  constructor() {
    super(...arguments);
    this.width = "10rem";
    this.height = "10rem";
    this.color = "#f0f";
  }
  render() {
    const style = `
      width: ${this.width};
      height: ${this.height};
      background: ${this.color};
    `;
    return y`<div style="${style}">
      <slot></slot>
    </div>`;
  }
};
ArtisticCircular.styles = i`
    :host {
      display: contents;
    }
    div {
      border-radius: 50%;
      display: flex;
      align-items: center;
      justify-content: center;
    }
  `;
__decorateClass([
  e2()
], ArtisticCircular.prototype, "width", 2);
__decorateClass([
  e2()
], ArtisticCircular.prototype, "height", 2);
__decorateClass([
  e2()
], ArtisticCircular.prototype, "color", 2);
ArtisticCircular = __decorateClass([
  e("artistic-circular")
], ArtisticCircular);

export {
  ArtisticCircular
};
